# Repository

Everything starts either by creating a new repository, or by opening an existing one.

Contents

- Functions

- The Repository class

- The Odb class

- The Refdb class

## Functions

## The Repository class

The API of the Repository class is quite large. Since this documentation is organized by features, the related bits are explained in the related chapters, for instance the `pygit2.Repository.checkout()` method is explained in the Checkout section.

Below there are some general attributes and methods:

## The Odb class

## The Refdb class